givarray0.h File Reference

Array of type T with reference mecanism. More...

`#include <stddef.h>`
`#include "givaro/givaromm.h"`
`#include "givaro/givperf.h"`
`#include "givaro/giverror.h"`
`#include "givaro/givarray0.inl"`
Include dependency graph for givarray0.h:

## Data Structures

struct | _perfArray0< T >
| defined by marco GIVARO_PERF_DEFCLASS. ref counting and stuff. More...
class | Array0< T >
| NODOC. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Array of type T with reference mecanism.